Bug report #14814

QGIS crashes using 2.5D Renderer for Lines

Added by Peter Drexel over 3 years ago. Updated over 3 years ago.

Status:Closed
Priority:Severe/Regression
Assignee:Matthias Kuhn
Category:Symbology
Affected QGIS version:2.14.3 Regression?:No
Operating System: Easy fix?:No
Pull Request or Patch supplied:No Resolution:
Crashes QGIS or corrupts data:Yes Copied to github as #:22770

Description

On Windows 7 64bit QGIS 2.14.2 crashes when selecting 2.5 D renderer for lines.
I know it is not supported, but I can click the OK-Button and then get a Minidump.

Thanks
Peter

Associated revisions

Revision e858a6d5
Added by Matthias Kuhn over 3 years ago

Fix crash when using 2.5D renderer with incompatible layer

Fixes #14814

Revision 87beec03
Added by Matthias Kuhn over 3 years ago

Fix crash when using 2.5D renderer with incompatible layer

Fixes #14814

History

#1 Updated by Giovanni Manghi over 3 years ago

  • Affected QGIS version changed from 2.14.2 to 2.14.3
  • OS version deleted (7 64 bit)
  • Operating System deleted (Windows)

Confirmed on Linux too (2.14.3).

#2 Updated by Regis Haubourg over 3 years ago

  • Priority changed from High to Severe/Regression

confirmed too on osgeo4w master 78bcd4b. I suggest raising to blocker because it just crashes qgis, and should be fairly easy to solve

#3 Updated by Matthias Kuhn over 3 years ago

  • Assignee set to Matthias Kuhn

#4 Updated by Anonymous over 3 years ago

  • Status changed from Open to Closed

Also available in: Atom PDF